Kirjoittaja Aihe: Fujitsu-Siemens Amilo Si 1520 :lle näytönohjaimen ajurit toimimaan  (Luettu 3568 kertaa)

sukkaseppo

  • Käyttäjä
  • Viestejä: 8
    • Profiili
Elikkäs, action quake 2:n sain ihme ja kumma toimimaan, mutta huomasin, että peli pätkii vietävän paljon. Ja tulipa sitten, mieleen etten ole mitään näytönohjaimen ajureita asentanut Ubuntuun. Ubuntuni on 6.10. Joten, ongelmaa voisi, ehkä lähteä purkamaan hankkimalla ajurit.

En löytäny googlettamalla mitään ohjetta miten saisin ajurit asennettua. Itseasiassa minulla ei ole mitään hajua miten linuxille asennetaan näytönohjaimen ajurit. Luulisin kuitenkin, että windows ajuriversion voisi jotenkin muuntaa linuxille sopivaksi... EHKÄ?

http://www.fujitsu-siemens.com/home/products/notebooks/amilo_si_1520.html
Edellä näkyy koneeni ja kuten oikealta voi huomata sieltä voi hakee ne wintoosan ajurit.

Toinen ongelma on se, ettei tässä kannettavalla ole Nvidian tai ATIn korttia, vaan joku intelin oma integroitu shaibe. Joten en voinut alkaa soveltamaan minkään muun ajurin settejä.

Tuolta viralliselta sivulta selviää, että näytönohjain on Intel® Graphics Media Accelerator 950 with 128MB shared Memory. Siinäpä sitten. Neuvokaa, että pääsen ehkä joskus frägää ja ehkä 3D-työpöytää asentelemaan :)

juyli

  • Vieras
En löytäny googlettamalla mitään ohjetta miten saisin ajurit asennettua.

Taas kerran kannattaa ammentaa infoa Linuxin asennuksista erilaisiin kannettaviin.
http://www.tuxmobil.org
http://tuxmobil.org/fujitsu.html
Tuolta löytyy useita eri jakeluja asennettuna ko. laitteeseen.
Ubuntu sivu oli aika vaatimaton, mutta Debian Etch asennus löytyi, jossa
annetaan ohjeita OpenGL -ajureiden asentamiseen.
http://besttrader.free.fr/pub/Linux_Debian_on_AMILO_Si_1520/index.html

Koska Ubuntu on Debianin "pikkusisko", pitäisi ohjeiden olla hyvin samansuuntaiset
myös Ubuntussa.

sukkaseppo

  • Käyttäjä
  • Viestejä: 8
    • Profiili
Ensiksi kiitos juylille hyvästä linkistä. Moisesta kun en ollut kuullutkaan.

Noniin eli vetäsin ton "Post-Install modifications/tweaks" -osion läpi tosta ohjeesta. Lopputulos:

1. Sain lopultakin ton ohjeen avulla näytön normaalin 1280 x 800 -resoluution toimimaan. Erittäin hyvä homma!
Eli se vaati ton 915resolution -ohjelman asentamisen ja erittäin helpon ja pikaisen konfiguroinin. Kannattaa lukaista /usr/share/doc/915resolution/README.Debian -tiedosto ton lisäksi, niin kaikki selvis. Hieman piti myös /etc/X11/xorg.conf säätää.

2. Toi 3D OpenGL ajuri ei suostunut tuon avulla toimimaan/asentumaan. Ja katsoin Synapticista saman tiedoston, niin siellä luki sen olevan ainoastaan Debianille, joten ei kummakaan ettei toimi. Joten itse ongelma ei ole vielä ratkaistu.

Niinkuin tossa debianin ohjeessakin ohjataan tarkistamaan asia vielä komentamalla "glxinfo | head", niin näkyy noi asetukset. Itsellä lukee seuraavaa:
Koodia: [Valitse]
libGL warning: 3D driver claims to not support visual 0x5b
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
Eli tostahan näkee, että A. libGL -tiedosto kusee vielä ja pahasti B. näyttöä tuo ei ole tunnistanut.
En tiedä kuka tästä kostuu, mutta apua vielä tarvitaan!

Anssi

  • Käyttäjä
  • Viestejä: 1342
    • Profiili
Ensiksi kiitos juylille hyvästä linkistä. Moisesta kun en ollut kuullutkaan.

Noniin eli vetäsin ton "Post-Install modifications/tweaks" -osion läpi tosta ohjeesta. Lopputulos:

1. Sain lopultakin ton ohjeen avulla näytön normaalin 1280 x 800 -resoluution toimimaan. Erittäin hyvä homma!
Eli se vaati ton 915resolution -ohjelman asentamisen ja erittäin helpon ja pikaisen konfiguroinin. Kannattaa lukaista /usr/share/doc/915resolution/README.Debian -tiedosto ton lisäksi, niin kaikki selvis. Hieman piti myös /etc/X11/xorg.conf säätää.

2. Toi 3D OpenGL ajuri ei suostunut tuon avulla toimimaan/asentumaan. Ja katsoin Synapticista saman tiedoston, niin siellä luki sen olevan ainoastaan Debianille, joten ei kummakaan ettei toimi. Joten itse ongelma ei ole vielä ratkaistu.

Niinkuin tossa debianin ohjeessakin ohjataan tarkistamaan asia vielä komentamalla "glxinfo | head", niin näkyy noi asetukset. Itsellä lukee seuraavaa:
Koodia: [Valitse]
libGL warning: 3D driver claims to not support visual 0x5b
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
Eli tostahan näkee, että A. libGL -tiedosto kusee vielä ja pahasti B. näyttöä tuo ei ole tunnistanut.
En tiedä kuka tästä kostuu, mutta apua vielä tarvitaan!

en nyt ole asiantuntija, mutta olen ymmärtänyt että 3D toimii kun lukee direct rendering: Yes, jos sinun ongelma oli tuo virheilmoitus libGL warning: 3D driver claims to not support visual 0x5b niin ei siitä kannata välittää jokin 3d efekti ei vain ole yhteen sopiva sinun näytönohjaimen kanssa tai noin itse asian ymmärtäisin. mutta voisin veikata että beryl toimii jo koneessa, kunhan sen vain asentaa.
Korjatkaa viisaammat, jos olen väärässä... :)

sukkaseppo

  • Käyttäjä
  • Viestejä: 8
    • Profiili
en nyt ole asiantuntija, mutta olen ymmärtänyt että 3D toimii kun lukee direct rendering: Yes

No siis kyllähän tuo toimii action quake toimii, mutta suoraan sanotusti aivan helvetin huonosti. Mutta esimerkiksi google earth pyörähtää sen verran hyvin, että sitä voi jopa käyttää. Mutta ei tosiaan puhettakaan pelaamisesta quaken kohdalla.

mutta voisin veikata että beryl toimii jo koneessa, kunhan sen vain asentaa.
Korjatkaa viisaammat, jos olen väärässä... :)

Beryl = ??, jotain syötävää?

Regel

  • Käyttäjä
  • Viestejä: 1090
  • Lucid
    • Profiili
beryl = karkkimarkkia, eli silmänruokaa, työpöytätehosteita yms.

Ja kyllähän kaikki ubuntun virallisista pakettivarastoista saatavat paketit (olipa tarkoitettu debianille eli ei) toimivat ubuntussa.

lunatiC

  • Käyttäjä
  • Viestejä: 459
    • Profiili
    • http://www.hurjatmopoilija.com/
Kirjotappas huvikses konsoliin:
Koodia: [Valitse]
glxgears
Konsoliin pitäisi alkaa ilmestymään pikkuhiljaa FPS lukemia. Heitäppäs copy+pastella noi lukemat tänne.

sukkaseppo

  • Käyttäjä
  • Viestejä: 8
    • Profiili
Ja kyllähän kaikki ubuntun virallisista pakettivarastoista saatavat paketit (olipa tarkoitettu debianille eli ei) toimivat ubuntussa.

No tuon http://besttrader.free.fr/pub/Linux_Debian_on_AMILO_Si_1520/index.html -linkin ohjeista kohdan "Post-install for the graphic card :" ei koodi auttanut.
Koodia: [Valitse]
aptitude install xlibmesa-dri xlibmesa-gl xlibmesa-glu mesa-utils libgl1-mesa-dri libgl1-mesa-glxVai pitäisikö tolle tehdä vielä jotain muutakin kuin vain asentaa? Konffaamista edessä vai?

Kirjotappas huvikses konsoliin:
Koodia: [Valitse]
glxgears
Konsoliin pitäisi alkaa ilmestymään pikkuhiljaa FPS lukemia. Heitäppäs copy+pastella noi lukemat tänne.

Joo eli noi rattaat kyllä pyörii ihan hyvin mutta mitään frame -lukemia tuo ei tulosta. Tuloste on ainoastaan:
Koodia: [Valitse]
libGL warning: 3D driver claims to not support visual 0x5b
Kokeilin myös huvikseni glxheads -komentoa. Nätti vihreä kolmio pyörii vastapäivään ja seuraavanlainen tuloste ilmaantui:
Koodia: [Valitse]
glxheads: exercise multiple GLX connections (any key = exit)
Usage:
  glxheads xdisplayname ...
Example:
  glxheads :0 mars:0 venus:1
libGL warning: 3D driver claims to not support visual 0x5b
Name: :0
  Display:     0x805e008
  Window:      0x3000002
  Context:     0x8066f18
  GL_VERSION:  1.3 Mesa 6.5.1
  GL_VENDOR:   Tungsten Graphics, Inc
  GL_RENDERER: Mesa DRI Intel(R) 945GM 20050225

Tässäpä siis jollekin taas purtavaa kerrakseen. Itsellä on kyllä neuvot erittäin vähissä.  :-\

Regel

  • Käyttäjä
  • Viestejä: 1090
  • Lucid
    • Profiili
TUon linkkisi ohjeet on suunnattu nimenomaan debianille.
ubuntussa ne tehdää näin:
Koodia: [Valitse]
sudo aptitude install 915resolution
sudo aptitude install xlibmesa-dri xlibmesa-gl xlibmesa-glu mesa-utils libgl1-mesa-dri libgl1-mesa-glx
Ja sitten teet tuon 2. kohdan konffauksen.


Tuolla on ubuntufoorumin ohjeita GMA 950:lle
http://www.ubuntuforums.org/showthread.php?t=351647&highlight=intel+950 - resoluutio
« Viimeksi muokattu: 21.03.07 - klo:13.24 kirjoittanut Regel »

sukkaseppo

  • Käyttäjä
  • Viestejä: 8
    • Profiili
Anna mun kaikki kestää. Okei, pahoittelen jos tämä keskustelu tai/ja minun tekstini on ollut vaikeasti ymmärrettävissä. Mutta tosiaan viitaten Regelin ohjeisiin, niin olen jo asentanut 915resolutionin ja nuo yllä mainutut xlibmesa paketit.
Tulos oli tosiaan, että sain 915resolutionin konffattua kuntoon, mutta xlibmesan asennuksesta en ole saanut mitään hyötyä irti. Toisin sanoen, se ei ole vaikuttanut suorituskykyyn millään tavoin. Ja tuo ubuntuforumin ohje on sama mikä löytyy 915resolution pakeitista. Se oli avuksi VAIN 915resolutionin asennuksessa (joka on jo konffattu kuntoon aikoja sitten).

Eli kerrataanpa nyt:
Ongelma on ettei action quake toimi kunnolla. Peli pätkii erittäin paljon. Quaken konsoli sanoo seuraavanlaisen valituksen asiasta:
Koodia: [Valitse]
libGL warning: 3D driver claims to not support visual 0x5b
Testasin myös Nexuiz -peliä. Peli toimi vähän paremmin kuin quake, mutta saman valituspätkän löysin sen pelin konsolista kun peli aukeaa.
Joten olisikohan vika /usr/lib/libGL.so -tiedostossa? Se varmaan pitäisi päivittää (asentaa 3D ajurit). Ja on ilmeisesti päivänselvää ettei tuo "aptitude install xlibmesa-dri xlibmesa-gl xlibmesa-glu mesa-utils libgl1-mesa-dri libgl1-mesa-glx" -komento ole auttanut asiaa kun se kerran tuota libGL warningia pukkaa.

... Eli miten on? Pitääkö tässä meikäläisen vääntää lisää rautalangasta vai voisko nyt joku oikeasti osata auttaa näillä infoilla?

EDIT: Löysin  libgl1-mesa-glx -paketille (ilmeisesti) vastaavan paketin synapticista, joka on libgl1-swx11.
Nyt kun vertaa glxinfo | head -printtejä niin jotain edistystä näköjään tullut.

libgl1-mesa-glx
Koodia: [Valitse]
libGL warning: 3D driver claims to not support visual 0x5b
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer

libgl1-swx11
Koodia: [Valitse]
name of display: :0.0
display: :0  screen: 0
direct rendering: No
server glx vendor string: Brian Paul
server glx version string: 1.4 Mesa 6.5.1
server glx extensions:
    GLX_MESA_copy_sub_buffer, GLX_MESA_pixmap_colormap,
    GLX_MESA_release_buffers, GLX_ARB_get_proc_address, GLX_EXT_visual_info,
    GLX_EXT_visual_rating, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer
client glx vendor string: Brian Paul
Silti tämä ei auttanut pelin toimivuuteen. Aikamoista säätöä.
« Viimeksi muokattu: 21.03.07 - klo:15.00 kirjoittanut sukkaseppo »